﻿.priority-info {
    background-color: var(--bs-info)
}

.priority-warning {
    background-color: var(--bs-orange)
}

.status-icon {
    width: 0.5rem;
    height: 0.5rem;
}

.priority-danger {
    background-color: var(--bs-red)
}

.status-icon-new {
    background-color: var(--bs-cyan);
}

.status-icon-rejected {
    background-color: var(--bs-red);
}

.status-icon-postponed {
    background-color: var(--bs-gray-600);
}

.status-icon-fixed {
    background-color: var(--bs-green);
}

.bug-icon {
    width: 16px;
    height: 17px;
    background-image: url("images/icons/bug.svg");
}

.full-height {
    height: 100vh;
}

.grid-container {
    width: 100%;
}

.workspace-info {
    width: 100%;
}

.add-icon {
    width: 30px;
    height: 30px;
    background-image: url("../images/icons/Plus.svg");
}

.close-icon {
    width: 30px;
    height: 30px;
    background-image: url("../images/icons/Close.svg");
}

.details-icon {
    width: 25px;
    height: 25px;
    background-image: url("../images/icons/Details.svg");
}

.grid-icon {
    width: 25px;
    height: 25px;
    background-image: url("../images/icons/Grid.svg");
}

.dxbl-popup-cell {
    z-index: 1200 !important;
}

.wigrid-pager > .dxbl-pager > .dxbl-text-edit {
    box-shadow: inset 0 0 0 rgba(0, 0, 0, 0);
    --dxbl-text-edit-focus-border-color: var(--mud-palette-secondary);
}

.wigrid-pager > .dxbl-pager-page-size-selector > .dxbl-text-edit {
    box-shadow: inset 0 0 0 rgba(0, 0, 0, 0);
    --dxbl-text-edit-focus-border-color: var(--mud-palette-secondary);
}

.dxbl-dropdown * > .dxbl-list-box-item-selected {
    background-color: var(--mud-palette-primary) !important;
}

.wigrid-searchbox > .dxbl-text-edit {
    box-shadow: inset 0 0 0 rgba(0, 0, 0, 0);
    --dxbl-text-edit-focus-border-color: var(--mud-palette-secondary);
}

.dxbl-btn.dxbl-grid-filter-menu-funnel-btn.dxbl-grid-filter-menu-funnel-btn-filled {
    --dxbl-btn-hover-color: var(--mud-palette-secondary);
    --dxbl-btn-color: var(--mud-palette-secondary);
}

.dxbl-text-edit {
    box-shadow: inset 0 0 0 rgba(0, 0, 0, 0);
    --dxbl-text-edit-focus-border-color: var(--mud-palette-secondary);
    --dxbl-text-edit-focus-shadow-color: unset;
}

.dxbl-checkbox {
    --dxbl-checkbox-check-element-checked-hover-bg: var(--mud-palette-secondary) !important;
    --dxbl-checkbox-check-element-checked-bg: var(--mud-palette-secondary);
    --dxbl-checkbox-radio-checked-border-color: var(--mud-palette-secondary);
    --dxbl-checkbox-radio-check-bg: var(--mud-palette-secondary);
    --dxbl-checkbox-radio-checked-hover-bg: var(--mud-palette-secondary);
    --dxbl-checkbox-radio-checked-hover-border-color: var(--mud-palette-secondary);
    --dxbl-treeview-checkbox-checked-bg: var(--mud-palette-secondary);
    --dxbl-checkbox-checked-focus-shadow-color: unset;
    --dxbl-checkbox-unchecked-focus-shadow-color: unset;
}

.dxbl-btn-primary {
    --color: #fff;
    --dxbl-btn-bg: var(--mud-palette-secondary);
    --dxbl-btn-border-color: var(--mud-palette-secondary);
    --dxbl-btn-hover-bg: rgba(var(--secondary-color), 0.8);
    --dxbl-btn-hover-border-color: var(--mud-palette-secondary);
    --dxbl-btn-hover-color: #fff;
    --dxbl-btn-disabled-bg: rgba(var(--secondary-color), 0.6);
    --dxbl-btn-disabled-border-color: rgba(var(--secondary-color), 0.6);
}

.dxbl-loading-panel {
    --dxbl-loading-panel-message-color: var(--mud-palette-secondary);
}

.dxbrv-wrapper {
    --dxbrv-primary-color: var(--mud-palette-secondary);
}

.dxbl-wait-indicator {
    --dxbl-wait-indicator-color: var(--mud-palette-secondary);
}

.dxbl-wait-indicator.dxbl-wait-indicator-spin > svg > g > circle {
    stroke: var(--mud-palette-secondary);
}

    .dxbl-wait-indicator.dxbl-wait-indicator-spin > svg > g > g {
        stroke: var(--mud-palette-secondary);
    }